SingletonResourceStorage
Date: 2014-06-04

org.gcube.vremanagement.resourcebroker.impl.resources

## Class SingletonResourceStorage

- java.lang.Object
- - GCUBEWSResource
  - - org.gcube.vremanagement.resourcebroker.impl.resources.SingletonResourceStorage

-     public class SingletonResourceStorage
      extends GCUBEWSResource

  Consists of the `GCUBEWSResource` used by `BrokerService` to store and handle the plans for deploying requests coming from VREManagerService. Instantiated in a singleton way stores all the data needed to keep the `BrokerService` state persistent.
  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonResourceStorage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(java.lang.String key, java.lang.Object value)`
    `boolean` | `containsKey(java.lang.String key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `void` | `deleteElement(java.lang.String key)`
    `java.lang.Object` | `getElem(java.lang.String key)`
    `java.util.HashMap<java.lang.String,java.lang.Object>` | `getState()` Deprecated. for internal use only

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingletonResourceStorage

          public SingletonResourceStorage()

  - ### Method Detail

    - #### getElem

          public final java.lang.Object getElem(java.lang.String key)

    - #### addElement

          public final void addElement(java.lang.String key,
                        java.lang.Object value)

    - #### deleteElement

          public final void deleteElement(java.lang.String key)

    - #### containsKey

          public final boolean containsKey(java.lang.String key)

    - #### containsValue

          public final boolean containsValue(java.lang.Object value)

    - #### getState

          public final java.util.HashMap<java.lang.String,java.lang.Object> getState()

      Deprecated. for internal use only